complexType "ServiceNotification"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 attributes, 10 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId[0..2], sequenceNumber??)?, onBehalfOf[0..4]?, serviceName?, (status? | processingStatus? | advisory?)
</...>

Content Model Elements (10):

  advisory, correlationId, header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | processingStatus, sequenceNumber (defined in Sequence.model group), serviceName, status (in serviceNotification), validation

All Direct / Indirect Based Elements (1):

  serviceNotification

Known Usage Locations

- As direct type of elements (1):
  serviceNotification

Annotation
A type defining the content model for a message that allows a service to send a notification message to a user of the service.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) ServiceNotification

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ServiceNotification"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="serviceName" type="xsd:normalizedString"/> <xsd:choice> <xsd:element minOccurs="0" name="status" type="ServiceStatus"/> <xsd:element minOccurs="0" name="processingStatus" type="ServiceProcessingStatus"/> <xsd:element minOccurs="0" name="advisory" type="ServiceAdvisory"/> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/10)
advisory

  Type: | ServiceAdvisory, complex content

  A human-readable message providing information about the service..
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="advisory" type="ServiceAdvisory"/>

processingStatus

  Type: | ServiceProcessingStatus, complex content

  A description of the stage of processing of the service, for example EndofDayProcessingCutoffOccurred, EndOfDayProcessingCompleted. [TBD: could be combined with advisory]
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="processingStatus" type="ServiceProcessingStatus"/>

serviceName

  Type: | xsd:normalizedString, predefined, simple content

  The name of the service to which the message applies
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="serviceName" type="xsd:normalizedString"/>

status

  Type: | ServiceStatus, simple content

  The current state of the service (e.g. Available, Unavailable).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="status" type="ServiceStatus"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.